Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Singularity Build Problem
#1
Exclamation 
Hi guys.

I've been experiencing problems with my Singularity compilation on Ubuntu 14 in 64 bits.

I followed the official instructions, everything is fine, until I have this:

TypeError: urlopen() got an unexpected keyword argument 'cafile'
CMake Error at cmake/Prebuilt.cmake:59 (message):
  Failed to download or unpack prebuilt 'apr_suite'.  Process returned 1.
Call Stack (most recent call first):
  cmake/APR.cmake:13 (use_prebuilt_binary)
  cmake/LLCommon.cmake:3 (include)
  aistatemachine/CMakeLists.txt:6 (include)


-- Configuring incomplete, errors occurred!
See also "/home/y/Bureau/singu_test/SingularityViewer/build-linux-x86_64/CMakeFiles/CMakeOutput.log".
ERROR: default configuration returned 1
For more information: try re-running your command with --verbose or --debug


The problem is nobody seems to have this problem except myself, and no matter what I do I can't seem to be able to fix it.

The necesssary libraries have been downloaded and installed. I don't know what to do anymore.

If any of you had this problem, could you please tell if and how you fixed it? Thank you.
Have a nice day and I look forward to hear from you soon.
Reply
#2
In autobuild.xml , change the https on the alchemy repos to http. Python SSL has or had some issues, and workaround is don't use SSL. You might still fail build on ubuntu 14 tho, the source targets ubuntu 16.04 LTS. But you can try it since you have 14 installed.
Fractured Crystal: You know ban evasion isn’t in the TOS, right?
---
SL banned? Search 'technitium', 'MAC changer', 'serial changer', 'ban evasion', 'VPN', 'IP ban', 'hardware ban'.
---
As a Gemini I can argue any side of everything with equal conviction.  You have been warned.
---
New here?  Click: Guests cannot see links in the messages. Please register to forum by clicking here to see links.
Reply
#3
(08-17-2017, 04:09 AM).Flagg. Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.In autobuild.xml , change the https on the alchemy repos to http.  Python SSL has or had some issues, and workaround is don't use SSL.  You might still fail build on ubuntu 14 tho, the source targets ubuntu 16.04 LTS.  But you can try it since you have 14 installed.

Doing this didn't change anything, it gave me the exact same error, thanks for replying anyway, I appreciate the help.
Reply
#4
(08-17-2017, 09:10 PM)citizenband51 Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.
(08-17-2017, 04:09 AM).Flagg. Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.In autobuild.xml , change the https on the alchemy repos to http.  Python SSL has or had some issues, and workaround is don't use SSL.  You might still fail build on ubuntu 14 tho, the source targets ubuntu 16.04 LTS.  But you can try it since you have 14 installed.

Doing this didn't change anything, it gave me the exact same error, thanks for replying anyway, I appreciate the help.

Manually test the URL given for the apr package in autobuild.xml. Make sure you can download it yourself, and then that the checksum matches, if you do get it downloaded. If it does download and match, put it in the download cache yourself, then run the build, it will see it in there and validate the checksum and if it matches it will unpack that and use it instead of trying to download it. Use the same procedure for similar 'fail to download or unpack' on any other packages. If you can't download it, post the exact package name(s) and I should have copies of them for at least builds 6919 and up. If you can download it, and the checksum matches, but you still get the error, you need to upgrade to ubuntu 16.04 or at least toss 16.04 in a virtual machine and test build there to see if that fixes it.
Fractured Crystal: You know ban evasion isn’t in the TOS, right?
---
SL banned? Search 'technitium', 'MAC changer', 'serial changer', 'ban evasion', 'VPN', 'IP ban', 'hardware ban'.
---
As a Gemini I can argue any side of everything with equal conviction.  You have been warned.
---
New here?  Click: Guests cannot see links in the messages. Please register to forum by clicking here to see links.
Reply
#5
(08-18-2017, 01:47 PM).Flagg. Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.
(08-17-2017, 09:10 PM)citizenband51 Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.
(08-17-2017, 04:09 AM).Flagg. Wrote: Guests cannot see links in the messages. Please register to forum by clicking here to see links.In autobuild.xml , change the https on the alchemy repos to http.  Python SSL has or had some issues, and workaround is don't use SSL.  You might still fail build on ubuntu 14 tho, the source targets ubuntu 16.04 LTS.  But you can try it since you have 14 installed.

Doing this didn't change anything, it gave me the exact same error, thanks for replying anyway, I appreciate the help.

Manually test the URL given for the apr package in autobuild.xml.  Make sure you can download it yourself, and then that the checksum matches, if you do get it downloaded.  If it does download and match, put it in the download cache yourself, then run the build, it will see it in there and validate the checksum and if it matches it will unpack that and use it instead of trying to download it.  Use the same procedure for similar 'fail to download or unpack' on any other packages.  If you can't download it, post the exact package name(s) and I should have copies of them for at least builds 6919 and up.  If you can download it, and the checksum matches, but you still get the error, you need to upgrade to ubuntu 16.04 or at least toss 16.04 in a virtual machine and test build there to see if that fixes it.

In the end, I used a virtual machine and am glad to report it actually worked!

The problem really did come from the ubuntu version. To be completely fair, the only reason why I didn't switch to 16.04 is because it crashes my graphic card. Thank you for your help and devotion, it was near to impossible to find information online, and by the way, in Ubuntu 16.04, the HTTPS links work perfectly.
Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Development Environment On Windows for latest Singularity Viewer Fransico 5 355 01-25-2017, 07:47 AM
Last Post: C.Nails
  [Help] Problem with Snow Storm Viewer sirmajor 11 744 11-25-2010, 10:48 AM
Last Post: sirmajor
  Build help needed! Dann Goon 7 545 10-20-2010, 01:41 PM
Last Post: Dann Goon
  [HELP REQUEST] Compiling PhoenixViewer Problem : No Audio sharewizard 13 1,028 09-18-2010, 08:16 AM
Last Post: FCTEAM
  i have problem with compiling onyx-svn bblastersd 6 538 07-03-2010, 03:14 AM
Last Post: bblastersd



Users browsing this thread: 1 Guest(s)